#pragma once

namespace mini
{
    namespace view
    {
        struct state_t {
            int origin[2]   {0, 0};
        };
        extern state_t state;

        void init();
        
        namespace origin {
            void set(int x, int y);
            int getx();
            int gety();
        }
    }
}